commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <joerg.schai...@swisspost.com>
Subject Re: [collections] Problems compiling w/gentoo
Date Fri, 25 Apr 2014 06:41:40 GMT
sebb wrote:

> On 24 April 2014 19:29, Gary Gregory <garydgregory@gmail.com> wrote:
>> Should we fix 3.x for Java 8 and release?
> 
> The fix works by renaming a public method so IMO is not appropriate for
> 3.x.
> 
> It would break any existing code that used the remove method,
> requiring the user to edit their source and rebuild.
> 
> AFAICT there is no nice solution here.
> 
> I think we will just have to accept that 3.x cannot be used on Java 8.
> Seems to me that is better than breaking existing use of the library.

IMHO it just cannot be compiled in Java 8, but existing code will run. You 
can even build your own stuff with Java 8 and a dependency to cc-3.x as long 
as you do not use the MultiValueMap or code that uses it internally hiding 
behind the Map interface.

Maybe we should evaluate further what is actually broken in combination with 
a Java 8 runtime and the problem will manifest at runtime.

- Jörg


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
For additional commands, e-mail: user-help@commons.apache.org


Mime
View raw message